package com.ywt.mg.domain.mealEntities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.sql.Time;
import java.util.Date;

/**
 * @author Walker
 * Created on 2019/3/6
 */
@Entity
@Table(name = "shop")
public class Shop {

    @Id
    private Integer id;
    @Column(name = "name", nullable = false)
    private String name;
    @Column(name = "mobile")
    private String mobile;
    @Column(name = "create_time", nullable = false)
    private Date create_time;
    @Column(name = "update_time", nullable = false)
    private Date update_time;
    @Column(name = "deleted", nullable = false)
    private Integer deleted;
    @Column(name = "available", nullable = false)
    private Integer available;
    @Column(name = "address", nullable = false)
    private String address;
    @Column(name = "psw", nullable = false)
    private String psw;
    @Column(name = "logo")
    private String logo;
    @Column(name = "remark")
    private String remark;
    @Column(name = "delivery_fee")
    private Integer deliveryFee;
    @Column(name = "open_time")
    private Time openTime;
    @Column(name = "close_time")
    private Time closeTime;
    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;
    @Column(name = "accept_order_timeout", nullable = false)
    private Integer acceptOrderTimeout;
    @Column(name = "auto_accept_order")
    private Boolean autoAcceptOrder;
    @Column(name = "biz_type")
    private Integer bizType;
    @Column(name = "delivery_type")
    private Integer deliveryType;
    @Column(name = "pc_create_order")
    private Boolean pcCreateOrder;
    @Column(name = "print_setting")
    private Integer printSetting;
    @Column(name = "weight")
    private Integer weight;
    @Column(name = "auto_print_tag")
    private Boolean autoPrintTag;

    /**
     * 该店铺是否只允许职工下单：0-否，1-是
     */
    @Column(name = "staff_order_only")
    private Boolean staffOrderOnly;
    /**
     * 是否允许商家编辑菜品：0-否，1-是
     */
    @Column(name = "merchant_edit_dish")
    private Boolean merchantEditDish;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getAvailable() {
        return available;
    }

    public void setAvailable(Integer available) {
        this.available = available;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPsw() {
        return psw;
    }

    public void setPsw(String psw) {
        this.psw = psw;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getDeliveryFee() {
        return deliveryFee;
    }

    public void setDeliveryFee(Integer deliveryFee) {
        this.deliveryFee = deliveryFee;
    }

    public Time getOpenTime() {
        return openTime;
    }

    public void setOpenTime(Time openTime) {
        this.openTime = openTime;
    }

    public Time getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Time closeTime) {
        this.closeTime = closeTime;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getAcceptOrderTimeout() {
        return acceptOrderTimeout;
    }

    public void setAcceptOrderTimeout(Integer acceptOrderTimeout) {
        this.acceptOrderTimeout = acceptOrderTimeout;
    }

    public Boolean getAutoAcceptOrder() {
        return autoAcceptOrder;
    }

    public void setAutoAcceptOrder(Boolean autoAcceptOrder) {
        this.autoAcceptOrder = autoAcceptOrder;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDeliveryType() {
        return deliveryType;
    }

    public void setDeliveryType(Integer deliveryType) {
        this.deliveryType = deliveryType;
    }

    public Boolean getPcCreateOrder() {
        return pcCreateOrder;
    }

    public void setPcCreateOrder(Boolean pcCreateOrder) {
        this.pcCreateOrder = pcCreateOrder;
    }

    public Integer getPrintSetting() {
        return printSetting;
    }

    public void setPrintSetting(Integer printSetting) {
        this.printSetting = printSetting;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Boolean getAutoPrintTag() {
        return autoPrintTag;
    }

    public void setAutoPrintTag(Boolean autoPrintTag) {
        this.autoPrintTag = autoPrintTag;
    }

    public Boolean getStaffOrderOnly() {
        return staffOrderOnly;
    }

    public void setStaffOrderOnly(Boolean staffOrderOnly) {
        this.staffOrderOnly = staffOrderOnly;
    }

    public Boolean getMerchantEditDish() {
        return merchantEditDish;
    }

    public void setMerchantEditDish(Boolean merchantEditDish) {
        this.merchantEditDish = merchantEditDish;
    }
}
